package com.usoft.fin.grpc.dal.entity;

import java.math.BigDecimal;

/**
 * <pre>
 * 额度申请记录表
 * 表名 : t_credit_apply
 * </pre>
 * @author: Mybatis Generator
 */
public class CreditApply {
    /**
     * <pre>
     * id
     * 表字段 : t_credit_apply.id
     * </pre>
     */
    private Integer id;

    /**
     * <pre>
     * 额度申请编号
     * 表字段 : t_credit_apply.code
     * </pre>
     */
    private String code;

    /**
     * <pre>
     * 产品编号
     * 表字段 : t_credit_apply.product_code
     * </pre>
     */
    private String productCode;

    /**
     * <pre>
     * 额度申请编号;如果是增额单，记录父编号
     * 表字段 : t_credit_apply.parent_code
     * </pre>
     */
    private String parentCode;

    /**
     * <pre>
     * 用户企业uu
     * 表字段 : t_credit_apply.enuu
     * </pre>
     */
    private Integer enuu;

    /**
     * <pre>
     * 申请日期
     * 表字段 : t_credit_apply.submit_date
     * </pre>
     */
    private String submitDate;

    /**
     * <pre>
     * 审核日期
     * 表字段 : t_credit_apply.audit_date
     * </pre>
     */
    private String auditDate;

    /**
     * <pre>
     * 批复额度
     * 表字段 : t_credit_apply.reply_amount
     * </pre>
     */
    private BigDecimal replyAmount;

    /**
     * <pre>
     * 利率
     * 表字段 : t_credit_apply.rate
     * </pre>
     */
    private BigDecimal rate;

    /**
     * <pre>
     * 额度生效日
     * 表字段 : t_credit_apply.start_date
     * </pre>
     */
    private String startDate;

    /**
     * <pre>
     * 额度到期日
     * 表字段 : t_credit_apply.end_date
     * </pre>
     */
    private String endDate;

    /**
     * <pre>
     * 额度状态: 100.已通过 101.审核中  102.未通过  103.编辑中
     * 表字段 : t_credit_apply.status
     * </pre>
     */
    private Short status;

    /**
     * <pre>
     * id
     * 表字段 : t_credit_apply.id
     * </pre>
     */
    public Integer getId() {
        return id;
    }

    /**
     * <pre>
     * id
     * 表字段 : t_credit_apply.id
     * </pre>
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * <pre>
     * 额度申请编号
     * 表字段 : t_credit_apply.code
     * </pre>
     */
    public String getCode() {
        return code;
    }

    /**
     * <pre>
     * 额度申请编号
     * 表字段 : t_credit_apply.code
     * </pre>
     */
    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    /**
     * <pre>
     * 产品编号
     * 表字段 : t_credit_apply.product_code
     * </pre>
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * <pre>
     * 产品编号
     * 表字段 : t_credit_apply.product_code
     * </pre>
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode == null ? null : productCode.trim();
    }

    /**
     * <pre>
     * 额度申请编号;如果是增额单，记录父编号
     * 表字段 : t_credit_apply.parent_code
     * </pre>
     */
    public String getParentCode() {
        return parentCode;
    }

    /**
     * <pre>
     * 额度申请编号;如果是增额单，记录父编号
     * 表字段 : t_credit_apply.parent_code
     * </pre>
     */
    public void setParentCode(String parentCode) {
        this.parentCode = parentCode == null ? null : parentCode.trim();
    }

    /**
     * <pre>
     * 用户企业uu
     * 表字段 : t_credit_apply.enuu
     * </pre>
     */
    public Integer getEnuu() {
        return enuu;
    }

    /**
     * <pre>
     * 用户企业uu
     * 表字段 : t_credit_apply.enuu
     * </pre>
     */
    public void setEnuu(Integer enuu) {
        this.enuu = enuu;
    }

    /**
     * <pre>
     * 申请日期
     * 表字段 : t_credit_apply.submit_date
     * </pre>
     */
    public String getSubmitDate() {
        return submitDate;
    }

    /**
     * <pre>
     * 申请日期
     * 表字段 : t_credit_apply.submit_date
     * </pre>
     */
    public void setSubmitDate(String submitDate) {
        this.submitDate = submitDate == null ? null : submitDate.trim();
    }

    /**
     * <pre>
     * 审核日期
     * 表字段 : t_credit_apply.audit_date
     * </pre>
     */
    public String getAuditDate() {
        return auditDate;
    }

    /**
     * <pre>
     * 审核日期
     * 表字段 : t_credit_apply.audit_date
     * </pre>
     */
    public void setAuditDate(String auditDate) {
        this.auditDate = auditDate == null ? null : auditDate.trim();
    }

    /**
     * <pre>
     * 批复额度
     * 表字段 : t_credit_apply.reply_amount
     * </pre>
     */
    public BigDecimal getReplyAmount() {
        return replyAmount;
    }

    /**
     * <pre>
     * 批复额度
     * 表字段 : t_credit_apply.reply_amount
     * </pre>
     */
    public void setReplyAmount(BigDecimal replyAmount) {
        this.replyAmount = replyAmount;
    }

    /**
     * <pre>
     * 利率
     * 表字段 : t_credit_apply.rate
     * </pre>
     */
    public BigDecimal getRate() {
        return rate;
    }

    /**
     * <pre>
     * 利率
     * 表字段 : t_credit_apply.rate
     * </pre>
     */
    public void setRate(BigDecimal rate) {
        this.rate = rate;
    }

    /**
     * <pre>
     * 额度生效日
     * 表字段 : t_credit_apply.start_date
     * </pre>
     */
    public String getStartDate() {
        return startDate;
    }

    /**
     * <pre>
     * 额度生效日
     * 表字段 : t_credit_apply.start_date
     * </pre>
     */
    public void setStartDate(String startDate) {
        this.startDate = startDate == null ? null : startDate.trim();
    }

    /**
     * <pre>
     * 额度到期日
     * 表字段 : t_credit_apply.end_date
     * </pre>
     */
    public String getEndDate() {
        return endDate;
    }

    /**
     * <pre>
     * 额度到期日
     * 表字段 : t_credit_apply.end_date
     * </pre>
     */
    public void setEndDate(String endDate) {
        this.endDate = endDate == null ? null : endDate.trim();
    }

    /**
     * <pre>
     * 额度状态: 100.已通过 101.审核中  102.未通过  103.编辑中
     * 表字段 : t_credit_apply.status
     * </pre>
     */
    public Short getStatus() {
        return status;
    }

    /**
     * <pre>
     * 额度状态: 100.已通过 101.审核中  102.未通过  103.编辑中
     * 表字段 : t_credit_apply.status
     * </pre>
     */
    public void setStatus(Short status) {
        this.status = status;
    }
}